### NAME

Tk_MainWindow - find the main window for an application

### SYNOPSIS

#include <tk.h>
Tk_Window
Tk_MainWindow(interp)

### ARGUMENTS

Tcl_Interp *interp (in/out)
  Interpreter associated with the application.

### DESCRIPTION

If interp is associated with a Tk application then Tk_MainWindow returns the application's main window. If there is no Tk application associated with interp then Tk_MainWindow returns NULL and leaves an error message in interp->result.

### KEYWORDS

application, main window

    Copyright © 1990 The Regents of the University of California.
    Copyright © 1994-1996 Sun Microsystems, Inc.
    Copyright © 1995-1997 Roger E. Critchlow Jr.